Package org.opencv.dnn

## Class TextDetectionModel_DB

- java.lang.Object
- - org.opencv.dnn.Model
  - - org.opencv.dnn.TextDetectionModel
    - - org.opencv.dnn.TextDetectionModel_DB

-     public class TextDetectionModel_DB
      extends TextDetectionModel

  This class represents high-level API for text detection DL networks compatible with DB model. Related publications: CITE: liao2020real Paper: https://arxiv.org/abs/1911.08947 For more information about the hyper-parameters setting, please refer to https://github.com/MhLiao/DB Configurable parameters: - (float) binaryThreshold - The threshold of the binary map. It is usually set to 0.3. - (float) polygonThreshold - The threshold of text polygons. It is usually set to 0.5, 0.6, and 0.7. Default is 0.5f - (double) unclipRatio - The unclip ratio of the detected text region, which determines the output size. It is usually set to 2.0. - (int) maxCandidates - The max number of the output results.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.dnn.Model

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `TextDetectionModel_DB​(long addr)` |
    `` | `TextDetectionModel_DB​(java.lang.String model)` | Create text detection model from network represented in one of the supported formats.
    `` | `TextDetectionModel_DB​(java.lang.String model, java.lang.String config)` | Create text detection model from network represented in one of the supported formats.
    `` | `TextDetectionModel_DB​(Net network)` | Create text detection algorithm from deep learning network.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TextDetectionModel_DB` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `float` | `getBinaryThreshold()` |
    `int` | `getMaxCandidates()` |
    `float` | `getPolygonThreshold()` |
    `double` | `getUnclipRatio()` |
    `TextDetectionModel_DB` | `setBinaryThreshold​(float binaryThreshold)` |
    `TextDetectionModel_DB` | `setMaxCandidates​(int maxCandidates)` |
    `TextDetectionModel_DB` | `setPolygonThreshold​(float polygonThreshold)` |
    `TextDetectionModel_DB` | `setUnclipRatio​(double unclipRatio)` |

    - ### Methods inherited from class org.opencv.dnn.TextDetectionModel

      `detect, detect, detectTextRectangles, detectTextRectangles`

    - ### Methods inherited from class org.opencv.dnn.Model

      `enableWinograd, getNativeObjAddr, predict, setInputCrop, setInputMean, setInputParams, setInputParams, setInputParams, setInputParams, setInputParams, setInputParams, setInputScale, setInputSize, setInputSize, setInputSwapRB, setOutputNames, setPreferableBackend, setPreferableTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextDetectionModel_DB

          protected TextDetectionModel_DB​(long addr)

    - #### TextDetectionModel_DB

          public TextDetectionModel_DB​(Net network)

      Create text detection algorithm from deep learning network.
      Parameters:
        `network` - Net object.

    - #### TextDetectionModel_DB

          public TextDetectionModel_DB​(java.lang.String model,
                                       java.lang.String config)

      Create text detection model from network represented in one of the supported formats. An order of `model` and `config` arguments does not matter.
      Parameters:
        `model` - Binary file contains trained weights.
        `config` - Text file contains network configuration.

    - #### TextDetectionModel_DB

          public TextDetectionModel_DB​(java.lang.String model)

      Create text detection model from network represented in one of the supported formats. An order of `model` and `config` arguments does not matter.
      Parameters:
        `model` - Binary file contains trained weights.

  - ### Method Detail

    - #### __fromPtr__

          public static TextDetectionModel_DB __fromPtr__​(long addr)

    - #### setBinaryThreshold

          public TextDetectionModel_DB setBinaryThreshold​(float binaryThreshold)

    - #### getBinaryThreshold

          public float getBinaryThreshold()

    - #### setPolygonThreshold

          public TextDetectionModel_DB setPolygonThreshold​(float polygonThreshold)

    - #### getPolygonThreshold

          public float getPolygonThreshold()

    - #### setUnclipRatio

          public TextDetectionModel_DB setUnclipRatio​(double unclipRatio)

    - #### getUnclipRatio

          public double getUnclipRatio()

    - #### setMaxCandidates

          public TextDetectionModel_DB setMaxCandidates​(int maxCandidates)

    - #### getMaxCandidates

          public int getMaxCandidates()

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `TextDetectionModel`
      Throws:
        `java.lang.Throwable`